<?php
/*
Element Description: Point Table
*/
 if ( !defined( 'WPB_VC_VERSION' ) ) {
    return;
 }
    

if ( !class_exists( 'RSTheme_VC_Match_Results' ) ) {   
   
         
        // Stop all if VC is not enabled       
        
        

        // Map the block with vc_map()
       class RSTheme_VC_Match_Results extends RSTheme_VC_Modules {
		public function __construct(){
			$this->name = __( "RS Result Information", 'eshkool' );
			$this->base = 'rs_result';				
			parent::__construct();
		}     
       
		public function fields(){

			$category_dropdown = array( __( 'All Categories', 'rsaddon' ) => '0' );	
	        $args = array(
	            'taxonomy' => array('league-category'),//ur taxonomy
	            'hide_empty' => true,                  
	        );

			$terms_= new WP_Term_Query( $args );

			foreach ( (array)$terms_->terms as $term ) {
				$category_dropdown[$term->name] = $term->slug;		
			}

			$fields = array(            

                    array(
                    	"type" => "dropdown",
                    	"heading" => __("Result Table Style", "rsaddon"),
                    	"param_name" => "resultable",
                    	"value" => array(	                    	
                    		__("Default Style", "rsaddon") => "1",
                    		__("Sidebar Style", "rsaddon") => "2"
                    		
                    	),
                    	"description" => __("Select your style here", "rsaddon"),                    	
                    ),

                    
                    array(
						"type" => "dropdown_multi",
						"holder" => "div",
						"class" => "",
						"heading" => __( "Select Categories", 'rsaddon' ),
						"param_name" => "cat",
						'value' => $category_dropdown,
					),

             	
				  array(
						'type' => 'textfield',
						'heading' => __( 'Extra class name', 'js_composer' ),
						'param_name' => 'el_class',
						'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'rsaddon' ),
					),
					
					array(
					'type' => 'css_editor',
					'heading' => __( 'CSS box', 'rsaddon' ),
					'param_name' => 'css',
					'group' => __( 'Design Options', 'rsaddon' ),
				),           
                        
               
        );                                
         return $fields; 
    }
     
    // Element HTML
    public function shortcode ( $atts, $content ='' ) {
         $attributes = array();
        // Params extraction
        extract(
            shortcode_atts(
                array(
						
					'resultable' => '1',					
					'el_class'   => '',					
					'css'        => '',
					'cat'        => ''				
					
                ), 
                $atts,'rs_result'
           )
        );

        $taxonomy = '';
		
		
		//extact icon 		
		//extract css edit box
		$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts );
		
		 //custom class added
		$wrapper_classes = array($el_class) ;			
		$class_to_filter = implode( ' ', array_filter( $wrapper_classes ) );		
		$css_class_custom = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $atts );
  
		function result_find_club($team){
			$args =new wp_Query(array(
			    'post_type' => 'club',  
			    'p' => $team       
			));		
	  	
			if ( $args->have_posts() ) {		
			  $team = get_the_post_thumbnail($team) .' '.get_the_title($team);

			  return $team;		 
			                            
			}
		}


		$template = 'result-style-1';

		return $this->template( $template, get_defined_vars() );
		}

	}
	
}

new RSTheme_VC_Match_Results;